// TODO: Is this still a thing?
.block-type--advanced-block {
  .block-title {
    // Advanced Blocks titles supports icons, center icon + label
    display: flex;
    align-items: center;
  }
}

// TODO: Is this still a thing?
.block--expandable {
  position: relative;

  &__trigger {
    display: flex;
    align-items: center;
    gap: var(--space-h-xxs, 0.15em);
    cursor: pointer;

    &::after {
      content: var(--icon-theme-collapsed-vertical);
      font-family: var(--basics-frontend-iconfont-family);
      font-size: 0.65em;
      margin-left: auto;
      padding-left: 0.35em;
    }
  }

  &__content {
    display: none;
  }

  &__close-btn {
    float: right;
    margin: 0 0 var(--space-v-sm) var(--space-h-sm);

    +* {
      clear: right;
    }
  }

  &.open {
    .block--expandable__trigger {
      &::after {
        content: var(--icon-theme-expanded-vertical);
      }
    }

    .block--expandable__content {
      display: block;
    }
  }
}

// Login form block
.block-type--user-login-block {
  >.block-title {
    display: none;
  }

  .user-login-form {

    // Style the login option links
    +ul {
      padding: 0;
      margin: 0.5rem 0 0 0;
      font-size: var(--bs-font-size-sm);

      li {
        list-style: none;
      }

      a {
        text-decoration: underline;
      }
    }
  }
}
